.pad-right {
    padding-right: 70px;
}
.position-rel{
    position: relative;
}
.voicesearch:focus{
    outline: 2px solid blue;
}
.outline:focus{
    outline: 5px auto -webkit-focus-ring-color;
    outline-offset: 2px;
}
.voicesearch {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    background: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
    transition: 0.5s;
    position: absolute;
    right: -20px;
    top: 40%;
    transform: translateY(-50%);
}
.voicesearch::before {
    content: "";
    width: 70px;
    height: 70px;
    border-radius: 50%;
    opacity: 0.1;
    position: absolute;
}
.voicesearch.active {
    background: #ff0000;
}
.voicesearch.active::before {
    background: #ff0000;
    animation: bounce 0.8s ease-in-out infinite 0.5s;
    z-index: 2;
}
.voicesearch .white-mic {
    display: none;
}
.voicesearch.active .white-mic {
    display: block;
}
.voicesearch.active .mic {
    display: none;
}
.voicesearch img, .voice-search img {
    width: 50%;
}
.voicesearch:hover .mic {
    animation: shake 0.2s linear infinite;
}
@keyframes shake {
    0% {
        transform-origin: bottom center;
        transform: rotate(-5deg);
    }
    50% {
        transform-origin: bottom center;
        transform: rotate(5deg);
    }
    100% {
        transform-origin: bottom center;
        transform: rotate(0deg);
    }
}
@keyframes bounce {
    0% {
        transform: scale(1);
    }
    25% {
        transform: scale(1.4);
    }
    75% {
        transform: scale(1);
    }
    100% {
        transform: scale(1.3);
    }
}
@media only screen and (max-width: 1024px) {
    .voicesearch {
        position: absolute;
        top: 30%;
        transform: translateY(-50%);
    }
}
@media only screen and (max-width: 992px) {
    .voicesearch {
        position: absolute;
        top: 20%;
        transform: translateY(-50%);
    }
}

@media only screen and (max-width: 767px) {
    .voicesearch {
        position: absolute;
        top: 0;
    }
}